#include<bits/stdc++.h>
using namespace std;
int main()
{
    string x,y;
    int n;
    cin >> x >> y;
    string z="";
    if(x.size()>y.size())
    {
        z=x.substr(0,x.size()-y.size());
        x.erase(0,z.size());
        n=y.size();
    }
    else
        {
            z=y.substr(0,y.size()-x.size());
            y.erase(0,z.size());
            n=x.size();
        }
    for(int i=0;i<n;i++)
    {
        if(x[i]>y[i])
        {
            z+=x[i];
        }
        if(y[i]>x[i])
        {
            z+=y[i];
        }
        if(x[i]==y[i])
        {
            z+=x[i];
            z+=y[i];
        }
    }
    cout << z;
}